{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.myConfig.programs;
in {
  imports = [./foot.nix ./thunderbird.nix ./nextcloud.nix ./udiskie.nix];

  options.myConfig.programs = {
    enable = lib.mkEnableOption "programs for desktop use";
  };

  config = lib.mkIf cfg.enable {
    myConfig.programs = {
      foot.enable = lib.mkDefault true;
      thunderbird.enable = lib.mkDefault true;
      nextcloud.enable = lib.mkDefault true;
      udiskie.enable = lib.mkDefault true;
    };

    home.packages = with pkgs; [
      unzip
      firefox
      xournalpp
      prismlauncher
      steam
      blender
      unstable.betaflight-configurator
      loudgain
      yt-dlp
      dconf
      distrobox
      libqalculate
      sops
      pwvucontrol
      qpwgraph
      discord
      libreoffice-fresh
      mate.caja
      libsForQt5.okular
      mpv
      gimp
      freecad
      wine
      gyroflow
      prusa-slicer
      kicad
      element-desktop
      chromium
      wl-clipboard
      gimp
    ];
  };
}
