---@type LazySpec
return {
  "AstroNvim/astrocore",
  opts = {
    options = {
      opt = {
        relativenumber = false,
        number = true,
        spell = true,
        signcolumn = "yes",
        wrap = true,
        colorcolumn = "80,120",
      },
      g = {
        inlay_hints_enabled = true,
      },
    },
    lsp = {
      config = {
        rust_analyzer = {
          settings = {
            ["rust-analyzer"] = {
              cargo = { buildScripts = { enable = true } },
              procMacro = { enable = true },
              check = {
                command = "clippy",
              },
            },
          },
        },
        clangd = { capabilities = { offsetEncoding = "utf-8" } },
      },
    },
  },
}
